Documentation
Version V1.0.2
GET Schools
https://www.microburbs.com.au/report_generator/api/property/schools
Retrieves comprehensive information about schools located 3km around specified property.
Important: The id parameter refers to the property's GNAF ID.
You can retrieve this value from Get GNAF_ID (Geocoder) API Endpoint. Click to see documentation

Parameters

Name Type Required Description
id text Required Property identifier (GnafID)
geojson boolean Optional Set to 'true' to include geometric shape data (default: false)

Response Schema

Field Type Description
results array Array of schools in and near the suburb
results[].area_level string Level of geographical detail (e.g., 'suburb')
results[].area_name string Name of the suburb
results[].attendance_rate number Student attendance rate as a decimal (e.g., 0.89 means 89%)
results[].boys number Number of male students enrolled
results[].distance string Distance in meters to school
results[].gender string Gender composition of the school (e.g., 'Coed')
results[].girls number Number of female students enrolled
results[].id number Unique identifier for the school
results[].in_catchment string Specifies if property lies within a catchment ('Yes' or 'No') (Only for Public Schools)
results[].name string Name of the school
results[].naplan number NAPLAN performance score as a decimal
results[].naplan_rank string Descriptive ranking of NAPLAN performance
results[].school_level_type string Level of education (e.g., 'Primary', 'Secondary')
results[].school_sector_type string School sector (e.g., 'Public', 'Catholic', 'Independent')
results[].socioeconomic number Socioeconomic score as a decimal
results[].socioeconomic_rank string Descriptive ranking of socioeconomic status
results[].geometry object GeoJSON geometry data (only included when geojson=true)

Request Examples

cURL
Python
JavaScript
curl -X GET "https://www.microburbs.com.au/report_generator/api/property/schools?suburb=Belmont%20North" \ -H "Authorization: Bearer YOUR_API_KEY" \ -H "Content-Type: application/json"

Response Example

Response
{ "results": [ { "area_level": "suburb", "area_name": "Belmont North", "attendance_rate": 0.78, "boys": 406, "gender": "Coed", "girls": 389, "id": 42097, "name": "Belmont High School", "naplan": 0.43112933634992456, "naplan_rank": "NAPLAN bottom 43%", "school_level_type": "Secondary", "school_sector_type": "Public", "socioeconomic": 0.2934553872053872, "socioeconomic_rank": "Affluence bottom 29%" }, { "area_level": "suburb", "area_name": "Belmont North", "attendance_rate": 0.89, "boys": 90, "gender": "Coed", "girls": 82, "id": 42002, "name": "Belmont North Public School", "naplan": 0.6282832390938133, "naplan_rank": "NAPLAN top 37%", "school_level_type": "Primary", "school_sector_type": "Public", "socioeconomic": 0.17342543077837194, "socioeconomic_rank": "Affluence bottom 17%" }, { "area_level": "suburb", "area_name": "Belmont North", "attendance_rate": 0.85, "boys": 147, "gender": "Coed", "girls": 149, "id": 41861, "name": "Belmont Public School", "naplan": 0.4027997288647498, "naplan_rank": "NAPLAN bottom 40%", "school_level_type": "Primary", "school_sector_type": "Public", "socioeconomic": 0.28347197464844526, "socioeconomic_rank": "Affluence bottom 28%" } ] }
Try it in Sandbox